<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="pb-4 h-16 flex items-center">
  <div class="text-text-500 text-md font-semibold flex items-center leading-none gap-2">
    <i class="pi pi-database" style="font-size: 1rem"></i>
    <div>Consume data</div>
  </div>
</div>
<div *ngIf="noForms">
  <p-message severity="info" text="Unable to consume data. This property has no interactions."></p-message>
</div>
<div *ngIf="!noForms" class="w-full flex flex-col items-end">
  <div class="grow border bg-secondary-900 rounded-sm border-secondary-900 w-full">
    <div class="px-3 pb-6">
      <p-tabView [(activeIndex)]="activeIndex">
        <p-tabPanel *ngFor="let form of prop.forms ?? []; index as i" [selected]="activeIndex == i">
          <ng-template pTemplate="header" let-active>
            <div class="flex gap-4 text-base font-semibold items-center justify-center" [ngClass]="{ 'text-primary-500': activeIndex == i, 'text-white': activeIndex != i }">
              <i [ngClass]="[form.op == 'readproperty' ? 'pi pi-download ' : 'pi pi-upload ']"></i>
              <div>{{ form.op == 'readproperty' ? 'Read ' : 'Write' }}</div>
            </div>
          </ng-template>
          <div class="mt-6">
            <app-consumption-detail [item]="item" [iid]="prop.key" [form]="form"></app-consumption-detail>
          </div>
        </p-tabPanel>
      </p-tabView>
    </div>
  </div>
</div>
